IEの古いブラウザを使っている人に更新を促す「IE Alert js」を入れてみよう!

2014/03/04

こんにちは。
今回は、IEの古いブラウザを使っている人に更新を促す「IE Alert js」を紹介したいと思います。

Web制作をしている方なら一度はIEの古いブラウザに悩まされたはず!
そんなあなたにぴったりなJQueryのプラグインです。

 

IEの古いブラウザ(IE6/7/8)でアクセスすると下記のようなアラートが表示されます。

iealert2

 

Upgradeのボタンを押すとBROWSE HAPPYのページに行きアップグレードを促してくれます。

iealert

 

公式サイト:IE Alert js

iealert1

 

公式サイトのdownload nowのボタンをクリックし、ソースをダウンロードします。

iealert3

 

JQueryを読み込み、ダウンロードしたスタイルシートとjsを読み込みます。
iealertフォルダ内にスタイルシート、および必要な画像が入っていますので移します。
iealert.min.jsはjsフォルダにぶち込みます。

 

アラートの文章を変更するには、iealert.min.jsのtitle:””とtext:””の中を変更します。

 

プラグインを使わないスキルを身につけたい人のためのjQueryテクニカルノート
プラグインを使わないスキルを身につけたい人のためのjQueryテクニカルノート

 

いかがでしたか。みんなでIEがなくなる平和な世の中を作りましょう〜笑
以上でIEの古いブラウザを使っている人に更新を促す「IE Alert js」の紹介でした。

topへ戻る